LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 04-17-2012, 07:23 AM   #1
fabe856
Member
 
Registered: Apr 2012
Posts: 99

Rep: Reputation: Disabled
ns 2.31 installation on fedro14 Error


Hi,
for installation of ns2.31 on fedora 14, i used following commands
#yum install \ libX11-devel libXext-devel libXau-devel libXmu-devel gcc-c++
./install
It showed following message
make: cc: Command not found
make: *** [example.o] Error 127
Zlib make failed, but it's optional Continue ...
============================================================
* Build tcl8.4.14
============================================================
loading cache ./config.cache
checking whether to use symlinks for manpages... no
checking whether to compress the manpages... no
checking whether to add a package name suffix for the manpages... no
checking for gcc... no
checking for cc... no
configure: error: no acceptable cc found in $PATH
tcl8.3.2 configuration failed! Exiting ...
Tcl is not part of the ns project. Please see www.Scriptics.com
to see if they have a fix for your platform.

What may be the possible error

Regards
Fabe
 
Old 04-17-2012, 07:31 AM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,415

Rep: Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968Reputation: 1968
simplest option would be to install the development tools group...

yum groupinstall "Development tools"

and go from there.
 
Old 04-17-2012, 07:41 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,272

Rep: Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663
NS2, Fedora :

# yum install \
gcc-c++ compat-gcc-34-c++ automake autoconf libtool libX11-devel \
libXext-devel libXau-devel libXmu-devel xorg-x11-proto-devel

NS-2.31 :
cd ns-allinone-2.31/ && export CC=gcc34 CXX=g++34 && ./install

.
 
2 members found this post helpful.
Old 04-18-2012, 03:13 AM   #4
fabe856
Member
 
Registered: Apr 2012
Posts: 99

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by knudfl View Post
NS2, Fedora :

# yum install \
gcc-c++ compat-gcc-34-c++ automake autoconf libtool libX11-devel \
libXext-devel libXau-devel libXmu-devel xorg-x11-proto-devel

.
I used the above commands but it is giving following message
Setting up Install Process
No package gcc-c++ available.
No package compat-gcc-c++ available.
Package automake-1.11.1-5.fc14.noarch already installed and latest version
Package autoconf-2.66-2.fc14.noarch already installed and latest version
Package libtool-2.2.10-3.fc14.i686 already installed and latest version
No package libX11-devel libXext-devel available.
Package libXau-devel-1.0.6-1.fc14.i686 already installed and latest version
Package libXmu-devel-1.0.5-2.fc13.i686 already installed and latest version
Package xorg-x11-proto-devel-7.4-39.fc14.noarch already installed and latest version
Nothing to do

Please suggest

Regards
Fabe
 
Old 04-18-2012, 04:07 AM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,272

Rep: Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663
Looks like you have no Internet connection ?

Or using a wrong URL, etc. in /etc/yum.repos.d/fedora.repo ?
( Fedora 14 was recently moved to the old archive for obsoleted versions.)

Please edit to
Code:
[fedora14]
name=Fedora14-i386 
baseurl=http://archives.fedoraproject.org/pub/archive/fedora/linux/releases/14/Everything/i386/os/
enabled=1
gpgcheck=1

[fc14-updates]
name=Fedora14-updates-i386
baseurl=http://archives.fedoraproject.org/pub/archive/fedora/linux/updates/14/i386/
enabled=1
gpgcheck=1
.

Last edited by knudfl; 04-18-2012 at 04:09 AM.
 
1 members found this post helpful.
Old 04-18-2012, 06:30 AM   #6
fabe856
Member
 
Registered: Apr 2012
Posts: 99

Original Poster
Rep: Reputation: Disabled
thanks for reply,
it worked fine.
ns-2.31 installed but xgraph is not working it is showing following message

ns: finish: couldn't execute "xgraph": no such file or directory
while executing
"exec xgraph a.txt out1.tr out2.tr -geometry 800x400 &"

Thanks again for your support
 
Old 04-18-2012, 07:18 AM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,272

Rep: Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663Reputation: 2663
# 6 : Building xgraph on Fedora, post # 2 here ...

http://www.linuxquestions.org/questi...34-a-862233/#2
 
1 members found this post helpful.
Old 04-18-2012, 08:58 AM   #8
fabe856
Member
 
Registered: Apr 2012
Posts: 99

Original Poster
Rep: Reputation: Disabled
Following the steps of link given post #7, it worked.

Thanks for your guidance
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
After installation I get, Error 25: Disk read error, Press any key to continue ... mataitsane Linux - Newbie 5 06-06-2012 11:45 AM
Installation of Binutils(configure:error:installation or configuration problem:C ...) h_r0019 Linux From Scratch 1 05-05-2007 08:40 AM
xen installation error: error 13: invalid or unsupported executable format Niceman2005 Linux - Software 0 01-05-2007 02:51 AM
Error on Fedora core 4 installation - Error informing the kernal about modifications monolegis Fedora 2 02-15-2006 07:11 PM
installation error: Error mounting sda1: Invalid Argument sadirmata Linux - Newbie 1 01-29-2002 03:28 AM


All times are GMT -5. The time now is 05:51 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration